Bug 834544 - [abrt] simple-scan-3.4.1-1.fc17: g_type_check_instance: Process /usr/bin/simple-scan was killed by signal 11 (SIGSEGV)
[abrt] simple-scan-3.4.1-1.fc17: g_type_check_instance: Process /usr/bin/simp...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: simple-scan (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:14ff5c283cf84d7d21ef4ca8ada...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 06:50 EDT by bugzilla-redhat
Modified: 2013-08-01 00:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:48:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.29 KB, text/plain)
2012-06-22 06:50 EDT, bugzilla-redhat
no flags Details
File: maps (73.70 KB, text/plain)
2012-06-22 06:50 EDT, bugzilla-redhat
no flags Details
File: dso_list (18.46 KB, text/plain)
2012-06-22 06:50 EDT, bugzilla-redhat
no flags Details
File: open_fds (13.58 KB, text/plain)
2012-06-22 06:50 EDT, bugzilla-redhat
no flags Details

  None (edit)
Description bugzilla-redhat 2012-06-22 06:50:11 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/simple-scan
comment:        I did scan multiple pages from the flatbed of a Brother MFC-490CW. When pressing Ctrl+1 to scan an additional page, SimpleScan crashed.
crash_function: g_type_check_instance
executable:     /usr/bin/simple-scan
kernel:         3.4.3-1.fc17.x86_64
pid:            31212
pwd:            /home/mks/Dokumente
time:           Fr 22 Jun 2012 11:50:07 CEST
uid:            1000
username:       mks

backtrace:      Text file, 45351 bytes
dso_list:       Text file, 18900 bytes
maps:           Text file, 75472 bytes
open_fds:       Text file, 13903 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mks/12

core_backtrace:
:31243d0d107bba586a96433c76c87a26db1e826c 0x31275 g_type_check_instance libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28868 g_signal_emit_by_name libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x18fe6 - [exe] -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x199b0 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x29f26 scan_button_clicked_cb [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a190b - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x905c5 gtk_accel_group_activate libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x91d7d gtk_accel_groups_activate libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2bf4b8 gtk_window_activate_key libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2bf549 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17acc9 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x178ea5 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17a9a3 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x1b415 application_main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=12
:SSH_AGENT_PID=14002
:HOSTNAME=legolas.home.ddt.intern
:DM_CONTROL=/var/run/xdmctl
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/mks/.gtkrc-2.0:/home/mks/.gtkrc-2.0-kde4:/home/mks/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=mks
:SSH_AUTH_SOCK=/tmp/ssh-fZtWyOR13838/agent.13838
:MAIL=/var/spool/mail/mks
:DESKTOP_SESSION=default
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/mks/.local/bin:/home/mks/bin
:QT_IM_MODULE=xim
:PWD=/home/mks
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=de_DE.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoreboth
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/mks
:KDE_SESSION_VERSION=4
:LOGNAME=mks
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-bDQXXxVIgo,guid=295f6ecb3cf24e128cab0aa100005826
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mks
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/mks/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-mks/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/14058,unix/unix:/tmp/.ICE-unix/14058
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/mks/.gtkrc:/home/mks/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=legolas.home.ddt.intern;1340357737;151778;14074_TIME39565391

event_log:
:2012-06-22-12:17:25> Servereinstellungen werden abgefragt
:2012-06-22-12:17:26  Archiv wird zur Übertragung vorbereitet
:2012-06-22-12:17:28  1909828 Byte werden übertragen
:2012-06-22-12:17:38  58% wird übertragen
:2012-06-22-12:17:46  Übertragung war erfolgreich
:2012-06-22-12:17:48  Retrace-Vorgang wurde gestartet
:2012-06-22-12:17:58  Initializing virtual root
:2012-06-22-12:18:09  Initializing virtual root
:2012-06-22-12:18:20  Initializing virtual root
:2012-06-22-12:18:31  Initializing virtual root
:2012-06-22-12:18:42  Initializing virtual root
:2012-06-22-12:18:52  Initializing virtual root
:2012-06-22-12:19:03  Initializing virtual root
:2012-06-22-12:19:14  Initializing virtual root
:2012-06-22-12:19:25  Initializing virtual root
:2012-06-22-12:19:35  Initializing virtual root
:2012-06-22-12:19:46  Initializing virtual root
:2012-06-22-12:19:57  Initializing virtual root
:2012-06-22-12:20:08  Initializing virtual root
:2012-06-22-12:20:18  Initializing virtual root
:2012-06-22-12:20:29  Initializing virtual root
:2012-06-22-12:20:40  Initializing virtual root
:2012-06-22-12:20:51  Initializing virtual root
:2012-06-22-12:21:01  Generating backtrace
:2012-06-22-12:21:12  Retrace job finished successfully
:2012-06-22-12:22:20> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 127975               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       127975               127975               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 5f643595-9739-4a1d-aed2-fd7de6f45ff4
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.UTF-8
:Plattform: x86_64
:BogoMIPS: 6821.74
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz
:CPU-Stepping: 7
:CPU Familie: 6
:CPU-Modellnummer: 42
:Anzahl der CPUs: 8
:CPU-Geschwindigkeit: 3401
:Systemspeicher: 16018
:System-Swap: 10237
:Anbieter: System manufacturer
:System: System Product Name System Version
:Form-Faktor: Desktop
:Kernel: 3.4.3-1.fc17.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:7238:4163:33869) pci, None, PCI/ISA, P8P67 Deluxe Motherboard
:(4147:404:4163:33811) pci, xhci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7202:4163:33869) pci, None, SERIAL, P8P67 Deluxe Motherboard
:(32902:7170:4163:33869) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(32902:7184:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:9294:4163:33869) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:7192:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4163:33808) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(6945:4224:6945:4224) pci, None, PCI/PCI, N/A
:(4318:3596:4163:33675) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4147:404:4163:33811) pci, xhci_hcd, USB, P8P67 Deluxe Motherboard
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4318:4608:4163:33675) pci, nvidia, VIDEO, GF110 [GeForce GTX 560 Ti]
:(32902:7213:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7206:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:256:4163:33869) pci, None, HOST/PCI, P8P67 Deluxe Motherboard
:(32902:7226:4163:33869) pci, None, SIMPLE, P8P67 Deluxe Motherboard
:(32902:7194:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:4163:33869) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/more-f17.root / ext4 4096 4096 12804545 10812202 10170666 3211264 3000840 3000840
:/dev/sdb3 /boot ext4 4096 4096 130459 109346 102793 32768 32424 32424
:/dev/mapper/more-fedora.opt /opt ext4 4096 4096 33506161 19700029 18022308 8388608 8174624 8174624
:/dev/mapper/luks-097f39be-3185-41af-8dc8-40ac0e2e4052 /home ext4 4096 4096 46785853 41672848 39330474 11714560 11697532 11697532
:/dev/sda8 /mnt ext4 4096 4096 12181723 7286660 6676291 3055616 2710636 2710636
:/dev/mapper/oldhome WITHHELD ext4 4096 4096 26172813 12119659 10808965 6553600 6489686 6489686
:/dev/sda5 WITHHELD ext4 4096 4096 48763860 7703587 5262210 12214272 12214244 12214244
:/dev/mapper/vbox-images WITHHELD ext4 4096 4096 119049766 28182713 22223443 29802496 29802406 29802406
:

var_log_messages:
:Jun 22 11:50:07 legolas kernel: [40406.939496] simple-scan[31212]: segfault at 8 ip 0000003a3de31275 sp 00007ffff1cc8ec0 error 4 in libgobject-2.0.so.0.3200.3[3a3de00000+4b000]
:Jun 22 11:50:08 legolas abrt[31531]: Saved core dump of pid 31212 (/usr/bin/simple-scan) to /var/spool/abrt/ccpp-2012-06-22-11:50:07-31212 (72577024 bytes)
Comment 1 bugzilla-redhat 2012-06-22 06:50:16 EDT
Created attachment 593690 [details]
File: backtrace
Comment 2 bugzilla-redhat 2012-06-22 06:50:19 EDT
Created attachment 593691 [details]
File: maps
Comment 3 bugzilla-redhat 2012-06-22 06:50:21 EDT
Created attachment 593692 [details]
File: dso_list
Comment 4 bugzilla-redhat 2012-06-22 06:50:23 EDT
Created attachment 593693 [details]
File: open_fds
Comment 5 Aleksander Morgado 2012-10-03 04:09:33 EDT
Scanning second document

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 bugzilla-redhat 2012-10-06 08:43:56 EDT
I started to scan the second page of a document. Scanner is a Brother MFC-490-CW.

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora End Of Life 2013-07-03 20:46:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 00:48:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.